com.sun.jna.platform.win32.COM

## Interface DispatchVTable.InvokeCallback

All Superinterfaces:
  AltCallingConvention, Callback, StdCall, StdCallLibrary.StdCallCallback

Enclosing class:
  DispatchVTable

    public static interface DispatchVTable.InvokeCallback
    extends StdCallLibrary.StdCallCallback

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`WinNT.HRESULT` `invoke(Pointer thisPointer, OaIdl.DISPID dispIdMember, Guid.REFIID riid, WinDef.LCID lcid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, IntByReference puArgErr)`

### Method Detail

#### invoke

    WinNT.HRESULT invoke(Pointer thisPointer,
                         OaIdl.DISPID dispIdMember,
                         Guid.REFIID riid,
                         WinDef.LCID lcid,
                         WinDef.WORD wFlags,
                         OleAuto.DISPPARAMS.ByReference pDispParams,
                         Variant.VARIANT.ByReference pVarResult,
                         OaIdl.EXCEPINFO.ByReference pExcepInfo,
                         IntByReference puArgErr)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.